Bug 1477137 - Review Request: tetrominos - Simple CLI logical game
Review Request: tetrominos - Simple CLI logical game
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 06:14 EDT by Michal Vala
Modified: 2017-08-14 22:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-09 11:59:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jvanek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Michal Vala 2017-08-01 06:14:31 EDT
Spec URL: https://github.com/sparkoo/NTetris/releases/download/1.0.1/tetrominos.spec
SRPM URL: https://github.com/sparkoo/NTetris/releases/download/1.0.1/tetrominos-1.0.1-1.fc26.src.rpm
Description: Simple CLI logical game. Build tetromino blocks to fill full lines. Based on Ncurses lib for CLI gaming.
Fedora Account System Username: michalvala
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20941950
Note: rename of https://bugzilla.redhat.com/show_bug.cgi?id=1421183
Comment 1 jiri vanek 2017-08-01 07:58:41 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 16 files have
     unknown license. Detailed output of licensecheck in
     /home/jvanek/1477137-tetrominos/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     tetrominos-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tetrominos-1.0.1-1.fc25.x86_64.rpm
          tetrominos-debuginfo-1.0.1-1.fc25.x86_64.rpm
          tetrominos-1.0.1-1.fc25.src.rpm
tetrominos.x86_64: I: enchant-dictionary-not-found cs
tetrominos.x86_64: W: spelling-error %description -l en_US tetromino -> nominate
tetrominos.x86_64: E: description-line-too-long cs Postavte tetromino bloky tak, aby zaplnily celé řádky. Napsané pomocí Ncurses knihovny pro hraní v terminálu.
tetrominos.x86_64: W: no-manual-page-for-binary tetrominos
tetrominos.src: W: spelling-error %description -l en_US tetromino -> nominate
tetrominos.src: E: description-line-too-long cs Postavte tetromino bloky tak, aby zaplnily celé řádky. Napsané pomocí Ncurses knihovny pro hraní v terminálu.
3 packages and 0 specfiles checked; 2 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: tetrominos-debuginfo-1.0.1-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 jiri vanek 2017-08-01 08:00:07 EDT
Pelase truncate line cs description. I think "Postavte tetromino bloky tak, aby zaplnily celé řádky." Is perfectly enough.
Comment 3 jiri vanek 2017-08-01 08:00:39 EDT
Package is approved
Comment 4 Gwyn Ciesla 2017-08-02 08:28:25 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/tetrominos
Comment 5 Fedora Update System 2017-08-02 09:15:01 EDT
tetrominos-1.0.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-46e3194c91
Comment 6 Fedora Update System 2017-08-02 17:55:13 EDT
tetrominos-1.0.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00766451fe
Comment 7 Fedora Update System 2017-08-02 20:53:33 EDT
tetrominos-1.0.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-46e3194c91
Comment 8 Fedora Update System 2017-08-09 11:59:16 EDT
tetrominos-1.0.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-08-14 22:52:00 EDT
tetrominos-1.0.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.